The ltk package

[ Tags: gpl, gui, library ] [ Propose Tags ]

UI Framework used by leksah

Properties

Versions 0.8, 0.8.0.6, 0.8.0.8, 0.10.0, 0.10.0.3, 0.10.0.4, 0.12.0.0, 0.12.1.0, 0.13.1.0, 0.13.2.0, 0.14.0.0, 0.14.0.1, 0.14.0.2, 0.14.3.0, 0.15.0.0, 0.15.0.1, 0.15.0.2, 0.15.0.3, 0.15.0.4, 0.15.0.5, 0.16.1.0 (info)
Dependencies base (>=4.0.0.0 && <4.11), base-compat (>=0.9.0 && <0.10), Cabal (>=1.6.0 && <2.1), containers (>=0.2 && <0.6), filepath (>=1.1.0 && <1.5), ghc, gi-cairo (>=1.0.6 && <1.1), gi-gdk (>=3.0.6 && <3.1), gi-glib (>=2.0.6 && <2.1), gi-gobject (>=2.0.6 && <2.1), gi-gtk (>=3.0.6 && <3.1), gi-gtk-hs (>=0.3.1.0 && <0.4), haskell-gi-base (==0.20.*), haskell-gi-overloading (==0.0.*), mtl (>=1.1.0.2 && <2.3), parsec (>=2.1.0.1 && <3.2), pretty (>=1.0.1.0 && <1.2), text (>=0.11.0.6 && <1.3), transformers (>=0.2.2.0 && <0.6) [details]
License GPL
Copyright Juergen "jutaro" Nicklisch-Franken
Author Juergen "jutaro" Nicklisch-Franken
Maintainer maintainer@leksah.org
Category GUI
Home page http://www.leksah.org
Bug tracker http://code.google.com/p/leksah/issues/list
Source repository head: git clone https://github.com/leksah/ltk
Uploaded Mon Aug 14 12:49:32 UTC 2017 by HamishMackenzie
Distributions Debian:0.12.1.0, Fedora:0.15.0.5, NixOS:0.16.1.0
Downloads 6385 total (49 in the last 30 days)
Rating 2.0 (1 ratings) [clear rating]
  • λ
  • λ
  • λ
Status Docs not available [build log]
All reported builds failed as of 2017-08-14 [all 3 reports]
Hackage Matrix CI

Modules

  • Control
    • Control.Event
  • Default
  • Graphics
    • UI
      • Editor
        • Graphics.UI.Editor.Basics
        • Graphics.UI.Editor.Composite
        • Graphics.UI.Editor.DescriptionPP
        • Graphics.UI.Editor.MakeEditor
        • Graphics.UI.Editor.Parameters
        • Graphics.UI.Editor.Simple
      • Frame
        • Graphics.UI.Frame.Panes
        • Graphics.UI.Frame.Rectangle
        • Graphics.UI.Frame.ViewFrame
      • Graphics.UI.Utils
  • MyMissing
  • Text
    • Text.PrinterParser

Flags

NameDescriptionDefaultType
gdk-318

GDK is 3.18 or later

EnabledAutomatic
gtk-318

GTK+ is 3.18 or later

EnabledAutomatic
gtk-320

GTK+ is 3.20 or later

EnabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees